﻿@model MIMS.Portal.ViewModels.MerchantDetailsReviewViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "بررسی پذیرنده";
}

<!-- Modal -->
<div id="modal-image-preview" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
            </div>
            <div class="modal-body">
                <img src="" class="image-preview" style="width: 100%;">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>
            </div>
        </div>
    </div>
</div>


<section>
    <form method="post">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">اطلاعات پذیرنده</h4>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <input asp-for="MerchantReview.MerchantId" value="@Model.MerchantDetails.Id" hidden />

                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.MerchantType" class="text-muted"></label>
                                <p><strong>@Html.DisplayFor(model => model.MerchantDetails.MerchantType)</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.FirstName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.FirstName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.LastName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.LastName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.FatherName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.FatherName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.Gender" class="control-label"></label>
                                <p><strong>@Html.DisplayFor(model => model.MerchantDetails.Gender)</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.EnglishFirstName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.EnglishFirstName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.EnglishLastName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.EnglishLastName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.EnglishFatherName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.EnglishFatherName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">

                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.NationalCode" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.NationalCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.BirthCertificateNumber" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.BirthCertificateNumber</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.BirthDate" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.BirthDate</strong></p>
                            </div>
                        </div>
                    </div>
                    @if (Model.MerchantDetails.MerchantType == MIMS.Portal.ValueObjects.Enum.PersonType.Legal)
                    {
                        <hr class="legal-person" />
                        <div class="row legal-person">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.CompanyName" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.CompanyName</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.EnglishCompanyName" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.EnglishCompanyName</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.CompanyNationalId" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.CompanyNationalId</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.CompanyRegisterNumber" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.CompanyRegisterNumber</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.CompanyEconomicCode" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.CompanyEconomicCode</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantDetails.CompanyRegisterDate" class="control-label"></label>
                                    <p><strong>@Model.MerchantDetails.CompanyRegisterDate</strong></p>
                                </div>
                            </div>
                        </div>
                    }
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.Mobile" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.Mobile</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.Phone" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.Phone</strong></p>
                            </div>
                        </div>
                        @*<div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Fax" class="control-label"></label>
                                    <p><strong>@Model.Fax</strong></p>
                                </div>
                            </div>*@

                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.Email" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.Email</strong></p>
                            </div>
                        </div>

                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.PostalCode" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.PostalCode</strong></p>
                            </div>
                        </div>
                        <div class=" col-md-9">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.Address" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.Address</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr hidden />
                    <div class=" row" hidden>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.ReferrerFirstName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.ReferrerFirstName</strong></p>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.ReferrerLastName" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.ReferrerLastName</strong></p>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.ReferrerNationalCode" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.ReferrerNationalCode</strong></p>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.ReferrerMobile" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.ReferrerMobile</strong></p>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantDetails.ReferrerPhone" class="control-label"></label>
                                <p><strong>@Model.MerchantDetails.ReferrerPhone</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class=" row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantReview.IDCardFrontId" class="control-label"></label>
                                <input asp-for="MerchantReview.IDCardFrontId" hidden />
                                <input asp-for="MerchantReview.IDCardFrontStatus" hidden />
                                <a href="#" class="preview"> <img class="img-fluid" src="@Url.Content(Model.MerchantReview.IDCardFrontUrl)" alt=""></a>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantReview.IDCardBackId" class="control-label"></label>
                                <input asp-for="MerchantReview.IDCardBackId" hidden />
                                <input asp-for="MerchantReview.IDCardBackStatus" hidden />
                                <a href="#" class="preview"><img class="img-fluid" src="@Url.Content(Model.MerchantReview.IDCardBackUrl)" alt=""></a>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantReview.CredentialMainPageId" class="control-label"></label>
                                <input asp-for="MerchantReview.CredentialMainPageId" hidden />
                                <input asp-for="MerchantReview.CredentialMainPageStatus" hidden />
                                <a href="#" class="preview"><img class="img-fluid" src="@Url.Content(Model.MerchantReview.CredentialMainPageUrl)" alt=""></a>
                            </div>
                        </div>
                        <div class=" col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantReview.CredentialLastPageId" class="control-label"></label>
                                <input asp-for="MerchantReview.CredentialLastPageId" hidden />
                                <input asp-for="MerchantReview.CredentialLastPageStatus" hidden />
                                <a href="#" class="preview">
                                    <img class="img-fluid" src="@Url.Content(Model.MerchantReview.CredentialLastPageUrl)" alt="">
                                </a>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label asp-for="MerchantReview.ReviewStatus" class="control-label"></label>
                                <span asp-validation-for="MerchantReview.ReviewStatus" class="text-danger"></span>
                                <select asp-for="MerchantReview.ReviewStatus" asp-description-for="MerchantReview.ReviewStatus" class="form-control">
                                    <option selected value="">--</option>
                                    <option value="true">تایید</option>
                                    <option value="false">رد</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="form-group">
                                <label asp-for="MerchantReview.ReviewComment" class="control-label"></label>
                                <span asp-validation-for="MerchantReview.ReviewComment" class="text-danger"></span>
                                <input asp-for="MerchantReview.ReviewComment" asp-description-for="MerchantReview.ReviewComment" class="form-control" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="form-actions">
                        <button type="submit" class="btn btn-primary btn-min-width">
                            ثبت
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

@section Scripts{
    <script>
        $(function () {
            $('.preview').on('click', function () {
                $('.modal-title').text($(this).prevAll('label').first().text());
                $('.image-preview').attr('src', $(this).find('img').attr('src'));
                $('#modal-image-preview').modal({
                    backdrop: 'static',
                    keyboard: false,
                    show: true
                });
            });
        });
    </script>
}